GET api/cleanroomapi/cleanroomsbysite/{siteId}?active={active}&lastUpdate={lastUpdate}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
Required |
|
| active | boolean |
None. |
|
| lastUpdate | date |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of CleanRoomViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| cleanroom_type_id | globally unique identifier |
Required |
|
| communication_server_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| local_id | integer |
Range: inclusive between 0 and ∞ |
|
| local_name | string |
None. |
|
| name | string |
Required |
|
| type_of_temperature | string |
Required |
Response Formats
application/json, text/json
Sample:
[
{
"active": true,
"cleanroom_type_id": "77c78aad-9abc-4ad1-b7f7-f7f5fb9799e1",
"communication_server_id": "7c5d60bb-51a2-4a80-ab1c-b37142816ca3",
"id": "fb7c86eb-5ae7-424d-9e72-7e7a57d15bb3",
"local_id": 1,
"local_name": "sample string 3",
"name": "sample string 4",
"type_of_temperature": "sample string 5"
},
{
"active": true,
"cleanroom_type_id": "77c78aad-9abc-4ad1-b7f7-f7f5fb9799e1",
"communication_server_id": "7c5d60bb-51a2-4a80-ab1c-b37142816ca3",
"id": "fb7c86eb-5ae7-424d-9e72-7e7a57d15bb3",
"local_id": 1,
"local_name": "sample string 3",
"name": "sample string 4",
"type_of_temperature": "sample string 5"
}
]
application/xml, text/xml
Sample:
<ArrayOfcleanroom xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<cleanroom>
<active>true</active>
<cleanroom_type_id>77c78aad-9abc-4ad1-b7f7-f7f5fb9799e1</cleanroom_type_id>
<communication_server_id>7c5d60bb-51a2-4a80-ab1c-b37142816ca3</communication_server_id>
<id>fb7c86eb-5ae7-424d-9e72-7e7a57d15bb3</id>
<local_id>1</local_id>
<local_name>sample string 3</local_name>
<name>sample string 4</name>
<type_of_temperature>sample string 5</type_of_temperature>
</cleanroom>
<cleanroom>
<active>true</active>
<cleanroom_type_id>77c78aad-9abc-4ad1-b7f7-f7f5fb9799e1</cleanroom_type_id>
<communication_server_id>7c5d60bb-51a2-4a80-ab1c-b37142816ca3</communication_server_id>
<id>fb7c86eb-5ae7-424d-9e72-7e7a57d15bb3</id>
<local_id>1</local_id>
<local_name>sample string 3</local_name>
<name>sample string 4</name>
<type_of_temperature>sample string 5</type_of_temperature>
</cleanroom>
</ArrayOfcleanroom>